//______________________________________________________________________________
//      Clavier numérique virtuel - 1.0
//      M.Grimaldi
// ce clavier virtuel numérique est uniquement utilisable avec des QLineEdit
//_______________________________________________________________________________
#ifndef CLAVIERAZERTY_H
#define CLAVIERAZERTY_H

#include <QDialog>
#include <QPushButton>
#include <QLineEdit>

namespace Ui {
class ClavierAzerty;
}

class ClavierAzerty : public QDialog
{
    Q_OBJECT

public:
    explicit ClavierAzerty(QWidget *parent = 0);
    ~ClavierAzerty();
    void setObject(QLineEdit *lineEdit);
private slots:
    void clickKey();
private:
    Ui::ClavierAzerty *ui;
    QList <QPushButton*> buttons;       // les touches
    QLineEdit * destination;            // le lineedit de destination
    QStringList keysTitle;              // contenu des touches
};

#endif // CLAVIERAZERTY_H
